Subject: bug#56459: 29.0.50; Edebug disables Eldoc

From: Eli Zaretskii <[email-masked]>
Date: Tue, 28 Feb 2023 15:04:38 +0200

> Date: Tue, 28 Feb 2023 04:15:41 +0200
> Cc: [email-masked], [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> 
> Hi Lars and others,
> 
> On 01/08/2022 13:48, Lars Ingebrigtsen wrote:
> >> and the behavior is still that only the edebug results are visible;
> >> that is, eldoc's messages aren't covering up the edebug messages, but
> >> they aren't showing up below them either and they're not even showing
> >> up in any mode line.
> >>
> >> So the practical upshot is, I see no change in behavior; whatever
> >> motivated that change seems to be a non-issue now.
> > If I remove that check, I don't see any problems -- stepping through the
> > code doesn't trigger eldoc, so there's no covering up of messages.  (But
> > moving the cursor after stepping triggers eldoc, but that seems fine.)
> 
> What I'm seeing now, is stepping through Edebug often does invoke Eldoc, 
> which triggers messages which do override edebug evaluations.
> 
> Which seems like a problem previously solved by that check.

Maybe.  I also sometimes see this, but just now trying Edebug on a
random function doesn't reproduce this.  Can you reproduce at will? if
so, can you show a recipe?